import { RevertableEvent } from "@skeldjs/events";
import { RepairSystemMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { DeconSystem } from "../../systems";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { DeconEvent } from "./DeconEvent";
export declare class DeconExitEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, DeconEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly deconsystem: DeconSystem<RoomType>;
    readonly message: RepairSystemMessage | undefined;
    /**
     * The player that opened the decontanimation doors and is exiting. Only
     * available if the client is the host.
     */
    readonly player: PlayerData<RoomType> | undefined;
    /**
     * Whether or not the player is exiting to go to a cleanroom (such as the
     * reactor on Mira HQ).
     */
    readonly headingUp: boolean;
    static eventName: "decon.exit";
    eventName: "decon.exit";
    constructor(room: RoomType, deconsystem: DeconSystem<RoomType>, message: RepairSystemMessage | undefined, 
    /**
     * The player that opened the decontanimation doors and is exiting. Only
     * available if the client is the host.
     */
    player: PlayerData<RoomType> | undefined, 
    /**
     * Whether or not the player is exiting to go to a cleanroom (such as the
     * reactor on Mira HQ).
     */
    headingUp: boolean);
}
//# sourceMappingURL=Exit.d.ts.map