"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MedScanJoinQueueEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when a player joins the queue for a med scan.
 */
class MedScanJoinQueueEvent extends events_1.RevertableEvent {
    constructor(room, medscan, message, 
    /**
     * The player that joined the queue.
     */
    player) {
        super();
        this.room = room;
        this.medscan = medscan;
        this.message = message;
        this.player = player;
        this.eventName = "medscan.joinqueue";
        this._alteredPlayer = player;
    }
    /**
     * The alternate player that will join the queue instead, if changed.
     */
    get alteredPlayer() {
        return this._alteredPlayer;
    }
    /**
     * Change the player that joined the queue.
     * @param player The player to join the queue.
     */
    setPlayer(player) {
        this._alteredPlayer = player;
    }
}
exports.MedScanJoinQueueEvent = MedScanJoinQueueEvent;
MedScanJoinQueueEvent.eventName = "medscan.joinqueue";
//# sourceMappingURL=JoinQueue.js.map