import { RevertableEvent } from "@skeldjs/events";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { RoomEvent } from "../RoomEvent";
import { PlayerEvent } from "./PlayerEvent";
/**
 * Emitted when a player's protection by a guardian angel ends, either by running
 * out of time or attempted to be murdered by an impostor.
 *
 * See {@link PlayerProtectEvent} to listen for when a player gets protected
 * initially.
 */
export declare class PlayerRemoveProtectionEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, PlayerEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    /**
     * Whether or not the player ran out of protection because of a murder attempt.
     */
    readonly murderAttempt: boolean;
    static eventName: "player.removeprotection";
    eventName: "player.removeprotection";
    constructor(room: RoomType, player: PlayerData<RoomType>, 
    /**
     * Whether or not the player ran out of protection because of a murder attempt.
     */
    murderAttempt: boolean);
}
//# sourceMappingURL=RemoveProtection.d.ts.map