import { BasicEvent } from "@skeldjs/events";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { RoomEvent } from "../RoomEvent";
import { PlayerEvent } from "./PlayerEvent";
/**
 * Emitted when a player has all of their components fully spawned.
 */
export declare class PlayerSpawnEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent, PlayerEvent {
    readonly room: RoomType;
    readonly player: PlayerData<RoomType>;
    static eventName: "player.spawn";
    eventName: "player.spawn";
    constructor(room: RoomType, player: PlayerData<RoomType>);
}
//# sourceMappingURL=Spawn.d.ts.map